# Interface RcsbFvStateInterface

#### Hierarchy

- RcsbFvStateInterface

#### Implemented by

- RcsbFvStateManager

- Defined in RcsbFvState/RcsbFvStateInterface.ts:17

#####
Index

### Properties

assemblyModelSate
selectionState

### Methods

next
subscribe

## Properties

### `Readonly` assemblyModelSate

assemblyModelSate: AssemblyModelSate

- Defined in RcsbFvState/RcsbFvStateInterface.ts:20

### `Readonly` selectionState

selectionState: RcsbFvSelectorManager

- Defined in RcsbFvState/RcsbFvStateInterface.ts:19

## Methods

### next

- next<T, D>(state: RcsbFvStateType<T, D>): void

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### state: RcsbFvStateType<T, D>

  #### Returns void

  - Defined in RcsbFvState/RcsbFvStateInterface.ts:25

### subscribe

- subscribe<T, D>(o: ((state: RcsbFvStateType<T, D>) => void)): Subscription

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### o: ((state: RcsbFvStateType<T, D>) => void)

    - - (state: RcsbFvStateType<T, D>): void

      - #### Parameters

        - ##### state: RcsbFvStateType<T, D>

        #### Returns void

  #### Returns Subscription

  - Defined in RcsbFvState/RcsbFvStateInterface.ts:23

Generated using TypeDoc